import path_setting
from in_common.base_request import BaseRequest


class common_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.DIARY_COMMON_CONFIG)

    # 日记贴评论列表--一级评论列表
    def diary_common_reply(self, id, type):
        self.params["id"] = id
        self.params["com_type"] = type
        return self.api_send(self.data["reply_detail"])

    # 日记贴评论列表--二级评论
    def topic_sub_common(self, id, type, reply_id):
        self.params["id"] = id
        self.params["com_type"] = type
        self.params["reply_id"] = reply_id
        return self.api_send(self.data["sub_common"])












